import { crystal } from 'item/amethyst';
import { breath } from 'item/dragonite';
import { sonic } from 'item/echo';
import { teleport } from 'item/enderite';
import { boom } from 'item/infernium';
import { ray } from 'item/iris';
import { shockwave } from 'item/plutonite';
import { dynamicLight } from 'item/redstone';
import { blackhole } from 'item/shadowite';
import { dash } from 'item/spectra';
import { lightning } from 'item/titanite';
class onUse {
    constructor() {
        this.onUse = this.onUse.bind(this);
    }
    onUse(_componentData) { }
}
export class enderiteTeleport extends onUse {
    onUse(componentData) {
        teleport(componentData);
    }
}
export class shadowiteBlackhole extends onUse {
    onUse(componentData) {
        blackhole(componentData);
    }
}
export class amethystCrystal extends onUse {
    onUse(componentData) {
        crystal(componentData);
    }
}
export class dragoniteBreath extends onUse {
    onUse(componentData) {
        breath(componentData);
    }
}
export class irisRay extends onUse {
    onUse(componentData) {
        ray(componentData);
    }
}
export class titaniteLightning extends onUse {
    onUse(componentData) {
        lightning(componentData);
    }
}
export class plutoniteShockwave extends onUse {
    onUse(componentData) {
        shockwave(componentData);
    }
}
export class spectraDash extends onUse {
    onUse(componentData) {
        dash(componentData);
    }
}
export class echoSonic extends onUse {
    onUse(componentData) {
        sonic(componentData);
    }
}
export class inferniumBoom extends onUse {
    onUse(componentData) {
        boom(componentData);
    }
}
export class redstoneDynamicLight extends onUse {
    onUse(componentData) {
        dynamicLight(componentData);
    }
}
